+++
title = 'Signal Desktop on Arch & Wayland'
date = 2024-07-01T13:37:53-07:00
categories = ['Tutorial']
tags = ['linux', 'arch', 'wayland']
+++

i've used [Signal][signal] as my preferred messaging app since around 2015. for a long time, i had the desktop application, and used it often to text directly from my laptop. since switching to Wayland, years ago now, i have simply lived without it: the desktop app didn't have native wayland support, and i was unwilling to jump through `xwayland` hoops.

today, i finally broke down and went looking for a fix. it turns out Signal's electron app has [supported wayland since 2021][signal-wayland]. to get this to work with my launcher in Arch Linux, i had to run with the following options: `--enable-features=UseOzonePlatform --ozone-platform=wayland`.

my full [signal-desktop.desktop][https://gitlab.com/no_reply/sublingual/-/blob/trunk/arch/usr/share/applications/signal-desktop.desktop#L7] is:
{{< code-details summary="`signal-desktop.desktop" lang="toml" details=`
[Desktop Entry]
Type=Application
Name=Signal
Comment=Signal - Private Messenger
Comment[de]=Signal - Sicherer Messenger
Icon=signal-desktop
Exec=signal-desktop --use-tray-icon --enable-features=UseOzonePlatform --ozone-platform=wayland -- %u
Terminal=false
Categories=Network;InstantMessaging;
StartupWMClass=signal
MimeType=x-scheme-handler/sgnl;x-scheme-handler/signalcaptcha;
Keywords=sgnl;chat;im;messaging;messenger;security;privat;
X-GNOME-UsesNotifications=true
` >}}

[signal]: https://signal.org/
[signal-wayland]: https://www.fosskers.ca/en/blog/wayland#org3ddb5b
